<?php
include_once('../../../php/sessionStart.php');
include_once('../../../php/db/dbExec.php');
include_once('../../../php/functions.php');
include_once('../../../php/timezone.php');
include_once('../../../php/privileges.php');

$bitForm = "nom1100";
$bitMod = "nom";
$empCod = $_SESSION['empCod'];
$usuCod = utf8_decode($_SESSION['usuCod']);
$usuNom = utf8_decode($_SESSION['usuNom']);

switch ($_POST['action']) {
	case 'consultar':
		echo consultar();
		break;

	case 'consultarDescuentos':
		echo consultarDescuentos();
		break;

	case 'guardar':
		echo guardar();
		break;

	case 'borrar':
		echo borrar();
		break;

}

function consultar() {
	global $empCod;

	$priv = new privileges();
	if (!$priv->consult($_SESSION['usuPriv'])) {
		return json_encode($priv->rErrorConsult());
	}

	$func = new functions();

	$numCod=utf8_decode($_POST['numCod']);

	# QUERYS
	$sMaestro = "SELECT m.*, 
				TRIM(m.mae_nom) AS mae_nom, 
				TRIM(m.mae_ape) AS mae_ape
				FROM maestro m
				WHERE m.mae_emp='$empCod' AND m.mae_cod='$numCod'";

	
	# EJECUCION DE QUERYS
	$db = new dbExec();
	$codigo=$numCod;
    $_SESSION['numCodDescu'] = $numCod;
	$resp = $db->sEx($sMaestro, "maestro");
	$db->close();

	$func = new functions();
	return $func->jsonEncodeArray($resp, "maestro");
}

function consultarDescuentos() {
	global $empCod;

	$priv = new privileges();
	if (!$priv->consult($_SESSION['usuPriv'])) {
		return json_encode($priv->rErrorConsult());
	}

	$func = new functions();

	$numCod=$_POST['numCod'];
	$selTipodesc=$_POST['selTipodesc'];
	$dtDel=$_POST['dtDel'];

	# QUERYS
	$sDescu = "SELECT *
				FROM descuentos
				WHERE d_emp='$empCod' AND d_cod='$numCod' AND d_codd='$selTipodesc' AND d_feci='$dtDel'";

	
	# EJECUCION DE QUERYS
	$db = new dbExec();
	$resp = $db->sEx($sDescu, "descuentos");
	$db->close();

	$func = new functions();
	return $func->jsonEncodeArray($resp, "descuentos");
}

function guardar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$priv = new privileges();
	if (!$priv->modify($_SESSION['usuPriv'])) {
		return json_encode($priv->rErrorModify());
	}

	$func = new functions();

	$numCod = utf8_decode($_POST["numCod"]);
	$selTipodesc = $_POST["selTipodesc"];
	$dtDel = utf8_decode($_POST["dtDel"]);
	$dtAl = utf8_decode($_POST["dtAl"]);
	$proy = utf8_decode($_POST["proy"]);
	$numMonto = (!empty($_POST["numMonto"])) ? $_POST["numMonto"] : 0;

	# QUERYS PARA UN REGISTRO
	$iDescu = "INSERT INTO descuentos (d_emp, d_cod, d_codd, d_feci, d_fecf, d_monto, d_proy) VALUES ('$empCod','$numCod','$selTipodesc','$dtDel','$dtAl','$numMonto','$proy')";

	$uDescu = "UPDATE descuentos SET d_fecf='$dtAl', d_monto='$numMonto',d_proy='$proy' WHERE d_emp='$empCod' AND d_cod='$numCod' AND d_codd='$selTipodesc' AND d_feci='$dtDel'";


	# EJECUCION DE QUERYS 
	$db = new dbExec();
	if ($func->stringToBool($_POST['nuevo'])) {
		$resp = $db->iEx($iDescu);
		$db->iEx($func->iBitacora(utf8_decode("Se creó Descuento empleado, Código: $numCod  $selTipodesc del $dtDel al $dtAl  Usuario: ").$usuNom, $bitMod, $bitForm));
	} else {
		$resp = $db->uEx($uDescu);
		$db->iEx($func->iBitacora(utf8_decode("Se modifico Descuento empleado, Código: $numCod  $selTipodesc del $dtDel  al $dtAl Usuario: ").$usuNom, $bitMod, $bitForm));
	}

	$db->close();

	return json_encode($resp);
}

function borrar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$priv = new privileges();
	if (!$priv->modify($_SESSION['usuPriv'])) {
		return json_encode($priv->rErrorModify());
	}

	$func = new functions();

	$numCod = utf8_decode($_POST["numCod"]);
	$selTipodesc = utf8_decode($_POST["selTipodesc"]);
	$dtDel = utf8_decode($_POST["dtDel"]);

	# QUERYS PARA UN REGISTRO
	$dDescu = "DELETE FROM descuentos WHERE d_emp='$empCod' AND d_cod='$numCod' AND d_codd='$selTipodesc' AND d_feci='$dtDel'";

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	$resp = $db->dEx($dDescu);
	$db->iEx($func->iBitacora(utf8_decode("Se Borro Descuentos empleado, Código: $numCod  $selTipodesc  del $dtDel Usuario: ").$usuNom, $bitMod, $bitForm));

	$db->close();

	return json_encode($resp);
}

?>